# changeRole()

Changes the role of an existing user. The target user's id and new role are provided as parameters.

```javascript
//Promote a user to a moderator
sambaFrame.changeRole('9efc7798-a1a4-44bd-9d8d-532fe0feea9d', 'moderator');

//Demote later the moderator to attendee
sambaFrame.changeRole('9efc7798-a1a4-44bd-9d8d-532fe0feea9d', 'attendee');
```

**Sample use case**: \
Have a custom participants panel in your integration and want power users to be able to change roles of other participants.

{% hint style="info" %}
This method is often used with the [roleChanged](/reference/sdk/events/rolechanged.md) event, which is emitted after a role of a user changes.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/changerole.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
